module View exposing (..)

import Html exposing (..)
import Browser

import Pages.HomeView exposing (homeView)
import Pages.QuizView exposing (questionView)
import Pages.ResultView exposing (resultView)
import Pages.NotFound exposing (notFoundView)

import Types exposing (Model, Msg(..), Route(..))


view : Model -> Browser.Document Msg
view model =
    let
        routeContent = case model.route of
            HomeRoute ->
                homeView model
            QuestionRoute n ->
                questionView n model.quiz
            ResultRoute ->
                resultView model
            NotFound ->
                notFoundView
    in
    { title = "Mathe Quiz App"
    , body = [routeContent]
    }